Serial Wombat Arduino Library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SerialWombat18ABDataLogger Class Reference

A Class representing the Serial Wombat 18AB Data Logger module. More...

`#include <SerialWombat18ABDataLogger.h>`

## Public Member Functions
| SerialWombat18ABDataLogger (SerialWombatChip &serialWombat)
| Constructor for SerialWombat18ABDataLogger class /.
int16_t | begin (uint16_t queueAddress, uint16_t queueSizeBytes, bool queueFrameIndex, bool queueOnChange=false, DataLoggerPeriod period=DataLoggerPeriod::PERIOD_1mS)
| Initialize the Serial Wombat Data logger. It will create a queue with the given parameters / /.
int16_t | enable (bool enable=true)
| Enable or disable the Data Logger.
int16_t | configurePin (uint8_t pin, bool queueLowByte, bool queueHighByte)

## Detailed Description

A Class representing the Serial Wombat 18AB Data Logger module.

Definition at line 50 of file SerialWombat18ABDataLogger.h.

## Constructor & Destructor Documentation

## ◆ SerialWombat18ABDataLogger()

SerialWombat18ABDataLogger::SerialWombat18ABDataLogger | ( | SerialWombatChip & | serialWombat | ) |
| inline

Constructor for SerialWombat18ABDataLogger class /.

/

Parameters

  serialWombat | SerialWombat chip on which the driver will run

Definition at line 57 of file SerialWombat18ABDataLogger.h.

## Member Function Documentation

## ◆ begin()

int16_t SerialWombat18ABDataLogger::begin | ( | uint16_t | queueAddress,
|  | uint16_t | queueSizeBytes,
|  | bool | queueFrameIndex,
|  | bool | queueOnChange = false,
|  | DataLoggerPeriod | period = DataLoggerPeriod::PERIOD_1mS )
| inline

Initialize the Serial Wombat Data logger. It will create a queue with the given parameters / /.

/

Parameters

  queueAddress | Index in User Ram area of the Queue to be created /
  queueSizeBytes | The length in bytes of avaialble queue space /
  queueFrameIndex | Whether or not to queue the 16 bit frame number before each queue entry /
  queueOnChange | Whether the queue queues on data change (true) or based on time (false) /
  period | The time between data logger entries if queueOnChange is false /

Returns
  A zero positive number on success or a negative number indicating an error code.

Definition at line 72 of file SerialWombat18ABDataLogger.h.

## ◆ configurePin()

int16_t SerialWombat18ABDataLogger::configurePin | ( | uint8_t | pin,
|  | bool | queueLowByte,
|  | bool | queueHighByte )
| inline

Definition at line 114 of file SerialWombat18ABDataLogger.h.

## ◆ enable()

int16_t SerialWombat18ABDataLogger::enable | ( | bool | enable = true | ) |
| inline

Enable or disable the Data Logger.

Parameters

  enable | True to enable the Data Logger, False to disable it

Returns
  0 on success or a negative number indicating an error code.

This function enables or disables the Data Logger. Enable should be called after begin() has been called to start logging data.

Definition at line 98 of file SerialWombat18ABDataLogger.h.